Bug 35493 - Check NTP setting in d-i
Check NTP setting in d-i
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-28 15:46 CEST by Philipp Hahn
Modified: 2014-11-26 06:54 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-07-28 15:46:35 CEST
For Germany a second setting "Busingen" is displayed.
Where does int come from?
Remove it?
Comment 1 Philipp Hahn univentionstaff 2014-07-30 12:33:01 CEST
<http://en.wikipedia.org/wiki/Europe/Busingen>:
> Businging is an exclave of Germany in Switzerland, which requires a different time-zone-entry for correct translation of UTC into locale dependent time:

$ for TZ in 'Europe/Busingen' 'Europe/Berlin'; do TZ=$TZ date -d "1980-05-01 12:00 UTC"; done
Do 1. Mai 13:00:00 CET 1980
Do 1. Mai 14:00:00 CEST 1980

So it might be confusing for the un-educated user, but it's required for correctness. We remove it anyway and risk their ire; they can still change it later using "dpkg-reconfigure tzdata".

r13292:
The list of available time zones is created by "tzsetup" during package-build from "/usr/share/zoneinfo/zone.tab" by "gen-templates". The entry can be removed by appending "DE Europe/Berlin" to "tzmap.override".

FYI: No UCR variable exists for time zone selection, as the name is stored in "/etc/timezone" and "/etc/localtime" contains a copy of the compiled data from "/usr/share/zoneinfo/$(cat /etc/timezone)" (Bug #24090)

Package: tzsetup
Version: 1:0.42.7.201407301228
User: phahn
Branch: ucs_4.0-0
Comment 2 Felix Botner univentionstaff 2014-08-25 17:36:37 CEST
OK - tzdata
OK - Changelog
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:54:22 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".